Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request PATCH \
--url https://api.supaqr.com/domains/{domain} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"notFoundUrl": "https://example.com",
"expiredUrl": "https://example.com",
"assetLinks": "<string>",
"appleAppSiteAssociation": "<string>",
"archived": true
}
'import requests
url = "https://api.supaqr.com/domains/{domain}"
payload = {
"notFoundUrl": "https://example.com",
"expiredUrl": "https://example.com",
"assetLinks": "<string>",
"appleAppSiteAssociation": "<string>",
"archived": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
notFoundUrl: 'https://example.com',
expiredUrl: 'https://example.com',
assetLinks: '<string>',
appleAppSiteAssociation: '<string>',
archived: true
})
};
fetch('https://api.supaqr.com/domains/{domain}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"slug": "<string>",
"destination": "<string>",
"clicks": 123,
"cnameStatus": "<string>",
"sslStatus": "<string>",
"expiredUrl": "<string>",
"notFoundUrl": "<string>",
"assetLinks": "<string>",
"appleAppSiteAssociation": "<string>"
}{
"code": "bad_request",
"message": "<string>"
}{
"code": "unauthorized",
"message": "<string>"
}{
"code": "forbidden",
"message": "<string>"
}{
"code": "not_found",
"message": "<string>"
}{
"code": "record_gone",
"message": "<string>"
}{
"code": "parameter_error",
"message": "<string>"
}{
"code": "rate_limit_exceeded",
"message": "<string>"
}{
"code": "internal_server_error",
"message": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Redirect users to a specific URL when a link(QR code) under this domain doesn't exist.
1 - 2000"https://example.com"
Redirect users to a specific URL when any link(QR code) under this domain has expired.
1 - 2000"https://example.com"
assetLinks.json configuration file (for deep link support on Android).
apple-app-site-association configuration file (for deep link support on iOS).
Whether to archive this domain.